#
# Rebuild switch:
#  --with integrationtests	enable integration tests (not fully maintained, likely to fail)
#

# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# systemd-rpm-macros split out from systemd at Fedora 30
%if (0%{?fedora} && 0%{?fedora} <= 29) || 0%{?rhel}
%global systemd_rpm_macros systemd
%else
%global systemd_rpm_macros systemd-rpm-macros
%endif

# sqlite 3.8.5 available from Fedora 20, EL-8 onwards, needed for mod_proxy
%if (0%{?rhel} && 0%{?rhel} >= 8) || (0%{?fedora} && 0%{?fedora} >= 20)
%global mod_proxy_support mod_proxy:
%endif

# libsodium 1.x available from Fedora 21, EL-7 onwards
%if (0%{?rhel} && 0%{?rhel} >= 7) || (0%{?fedora} && 0%{?fedora} >= 21)
%global libsodium_support 1
%endif

# pcre2 available from Fedora 27, EL-8 onwards
%if (0%{?rhel} && 0%{?rhel} >= 8) || (0%{?fedora} && 0%{?fedora} >= 27)
%global pcre2_support 1
%endif

# Switch from mysql-devel to mariadb-connector-c-devel from Fedora 28 onwards
# Also disable tcp_wrappers support from Fedora 28 onwards (#1518776)
%if (0%{?rhel} && 0%{?rhel} <= 7) || (0%{?fedora} && 0%{?fedora} <= 27)
%global mysql_lib mysql
%global mysql_devel_pkg mysql-devel
%global libwrap_support 1
%else
%global mysql_lib mariadb
%global mysql_devel_pkg mariadb-connector-c-devel
%endif

# Drop legacy GeoIP support from F-32, EL-8 onwards
# See http://bugs.proftpd.org/show_bug.cgi?id=4053
#     https://github.com/proftpd/proftpd/issues/605
%if (0%{?rhel} && 0%{?rhel} <= 7) || (0%{?fedora} && 0%{?fedora} <= 31)
%global geoip_support 1
%endif

# Switch from postgresql-devel to libpq-devel from Fedora 30 onwards
%if (0%{?rhel} && 0%{?rhel} <= 7) || (0%{?fedora} && 0%{?fedora} <= 29)
%global postgresql_devel_pkg postgresql-devel
%else
%global postgresql_devel_pkg libpq-devel
%endif

# Switch from libmemcached to libmemcached-awesome from Fedora 35 onwards
%if (0%{?rhel} && 0%{?rhel} <= 8) || (0%{?fedora} && 0%{?fedora} <= 34)
%global libmemcached_pkg libmemcached
%else
%global libmemcached_pkg libmemcached-awesome
%endif

# Do a hardened build where possible
%global _hardened_build 1

# Dynamic modules contain references to symbols in main dæmon, so we need to disable linker checks for undefined symbols
%undefine _strict_symbol_defs_build

#global prever rc4
%global rpmrel 3.0.cf
%global mod_proxy_version 0.9.4
%global mod_vroot_version 0.9.12

Summary:		Flexible, stable and highly-configurable FTP server
Name:			proftpd
Version:		1.3.8c
Release:		%{?prever:0.}%{rpmrel}%{?prever:.%{prever}}.%{__distinit}%{__distvers}
License:		GPL-2.0-or-later
URL:			http://www.proftpd.org/

Source0:		ftp://ftp.proftpd.org/distrib/source/proftpd-%{version}%{?prever}.tar.gz
Source1:		proftpd.conf
Source2:		modules.conf
Source3:		mod_tls.conf
Source4:		mod_ban.conf
Source5:		mod_qos.conf
Source6:		anonftp.conf
Source8:		proftpd-welcome.msg
Source9:		proftpd.sysconfig
Source10:		http://github.com/Castaglia/proftpd-mod_vroot/archive/v%{mod_vroot_version}.tar.gz
Source11:		http://github.com/Castaglia/proftpd-mod_proxy/archive/v%{mod_proxy_version}.tar.gz
Source20:		ftp://ftp.proftpd.org/distrib/source/proftpd-%{version}%{?prever}.tar.gz.asc
Source21:		proftpd-key-A511976A.asc

Patch1:			proftpd-1.3.8-shellbang.patch
Patch3:			proftpd-1.3.4rc1-mod_vroot-test.patch
Patch4:			proftpd-1.3.6-no-mod-wrap.patch
Patch5:			proftpd-1.3.6-no-mod-geoip.patch
Patch7:			proftpd-1.3.8-configure-c99.patch
Patch9:			https://patch-diff.githubusercontent.com/raw/proftpd/proftpd/pull/1677.patch
Patch10:		mod_proxy-certificate.patch
Patch11:		mod_proxy-old-openssl.patch
Patch12:		proftpd-1.3.8c-no-engine.patch
Patch13:		proftpd-1.3.8b-format-overflow.patch
Patch14:		proftpd-1.3.8c-c23.patch
Patch15:		https://github.com/proftpd/proftpd/commit/9b2b4a3e.patch

BuildRequires:		coreutils
BuildRequires:		gcc
%if 0%{?geoip_support:1}
BuildRequires:		GeoIP-devel
%endif
BuildRequires:		gettext
BuildRequires:		gnupg
BuildRequires:		libacl-devel
BuildRequires:		libcap-devel
BuildRequires:		libidn2-devel
BuildRequires:		%{libmemcached_pkg}-devel >= 0.41
%if 0%{?libsodium_support:1}
BuildRequires:		libsodium-devel >= 1.0
%endif
BuildRequires:		logrotate
BuildRequires:		make
BuildRequires:		%{mysql_devel_pkg}
BuildRequires:		ncurses-devel
BuildRequires:		openldap-devel
BuildRequires:		openssl-devel
BuildRequires:		pam-devel
%if 0%{?pcre2_support:1}
BuildRequires:		pcre2-devel >= 10.30
%endif
# perl-generators needed for correct dependencies in utils sub-package
BuildRequires:		perl-generators
BuildRequires:		perl-interpreter
BuildRequires:		pkgconfig
BuildRequires:		%{postgresql_devel_pkg}
BuildRequires:		sed
%if 0%{?mod_proxy_support:1}
BuildRequires:		sqlite-devel >= 3.8.5
%else
BuildRequires:		sqlite-devel
%endif
BuildRequires:		%{systemd_rpm_macros}
BuildRequires:		tar
%if 0%{?libwrap_support:1}
BuildRequires:		tcp_wrappers-devel
%endif
BuildRequires:		zlib-devel

# Test suite requirements
BuildRequires:		check-devel
%if 0%{?fedora} > 34 || 0%{?rhel} > 8
BuildRequires:		glibc-gconv-extra
%endif
%if 0%{?_with_integrationtests:1}
BuildRequires:		perl(Compress::Zlib)
BuildRequires:		perl(Digest::MD5)
BuildRequires:		perl(HTTP::Request)
BuildRequires:		perl(IO::Socket::SSL)
BuildRequires:		perl(LWP::UserAgent)
BuildRequires:		perl(Net::FTPSSL)
BuildRequires:		perl(Net::SSLeay)
BuildRequires:		perl(Net::Telnet)
BuildRequires:		perl(Sys::HostAddr)
BuildRequires:		perl(Test::Harness)
BuildRequires:		perl(Test::Unit) >= 0.25
BuildRequires:		perl(Time::HiRes)
%endif

# Need systemd for ownership of /usr/lib/tmpfiles.d directory
Requires:		systemd

# Logs should be rotated periodically
Requires:		logrotate

# Scriptlet dependencies
Requires(preun):	coreutils, findutils
%{?systemd_requires}

Provides:		ftpserver

%description
ProFTPD is an enhanced FTP server with a focus toward simplicity, security,
and ease of configuration. It features a very Apache-like configuration
syntax, and a highly customizable server infrastructure, including support for
multiple 'virtual' FTP servers, anonymous FTP, and permission-based directory
visibility.

This package defaults to the standalone behavior of ProFTPD, but all the
needed scripts to have it run by systemd instead are included.

%package devel
Summary:	ProFTPD - Tools and header files for developers
Requires:	%{name} = %{version}-%{release}
# devel package requires the same devel packages as were build-required
# for the main package
Requires:	gcc, libtool
%if 0%{?geoip_support:1}
Requires:	GeoIP-devel
%endif
Requires:	libacl-devel
Requires:	libcap-devel
Requires:	%{libmemcached_pkg}-devel >= 0.41
%if 0%{?libsodium_support:1}
Requires:	libsodium-devel >= 1.0
%endif
Requires:	%{mysql_devel_pkg}
Requires:	ncurses-devel
Requires:	openldap-devel
Requires:	openssl-devel
Requires:	pam-devel
%if 0%{?pcre2_support:1}
Requires:	pcre2-devel >= 10.30
%endif
Requires:	pkgconfig
Requires:	%{postgresql_devel_pkg}
Requires:	sqlite-devel
%if 0%{?libwrap_support:1}
Requires:	tcp_wrappers-devel
%endif
Requires:	zlib-devel

%description devel
This package is required to build additional modules for ProFTPD.

%package ldap
Summary:	Module to add LDAP support to the ProFTPD FTP server
Requires:	%{name} = %{version}-%{release}

%description ldap
Module to add LDAP support to the ProFTPD FTP server.

%package mysql
Summary:	Module to add MySQL support to the ProFTPD FTP server
Requires:	%{name} = %{version}-%{release}

%description mysql
Module to add MySQL support to the ProFTPD FTP server.

%package postgresql
Summary:	Module to add PostgreSQL support to the ProFTPD FTP server
Requires:	%{name} = %{version}-%{release}

%description postgresql
Module to add PostgreSQL support to the ProFTPD FTP server.

%if 0%{?mod_proxy_support:1}
%package proxy
Summary:	Module to add proxying support to the ProFTPD FTP server
Requires:	%{name} = %{version}-%{release}

%description proxy
Module to add proxying support to the ProFTPD FTP server.
%endif

%package sqlite
Summary:	Module to add SQLite support to the ProFTPD FTP server
Requires:	%{name} = %{version}-%{release}

%description sqlite
Module to add SQLite support to the ProFTPD FTP server.

%package utils
Summary:	ProFTPD - Additional utilities
Requires:	%{name} = %{version}-%{release}
Requires:	perl-interpreter
# ftpasswd --use-cracklib requires Crypt::Cracklib
BuildRequires:	perl(Crypt::Cracklib)
Requires:	perl(Crypt::Cracklib)

%description utils
This package contains additional utilities for monitoring and configuring the
ProFTPD server:

* ftpasswd: generate passwd(5) files for use with AuthUserFile
* ftpcount: show the current number of connections per server/virtualhost
* ftpmail: monitor transfer log and send email when files uploaded
* ftpquota: manipulate quota tables
* ftptop: show the current status of FTP sessions
* ftpwho: show the current process information for each FTP session

%prep
gpg --import %{SOURCE21} || :
gpg --verify %{SOURCE20} %{SOURCE0}
%setup -q -n %{name}-%{version}%{?prever}

# Extract mod_proxy and mod_vroot source into contrib/
# Directories must be named mod_{proxy,vroot} for configure script to find them
cd contrib
tar xfz %{SOURCE10}
tar xfz %{SOURCE11}
mv proftpd-mod_proxy-%{mod_proxy_version} mod_proxy
mv proftpd-mod_vroot-%{mod_vroot_version} mod_vroot
cd -

# Default config files
sed -e 's|@RUNDIR@|/run|' %{SOURCE1} > proftpd.conf
sed -e 's|@RUNDIR@|/run|' %{SOURCE2} > modules.conf
sed -e 's|@RUNDIR@|/run|' %{SOURCE3} > mod_tls.conf
sed -e 's|@RUNDIR@|/run|' %{SOURCE4} > mod_ban.conf
sed -e 's|@RUNDIR@|/run|' %{SOURCE5} > mod_qos.conf
sed -e 's|@RUNDIR@|/run|' %{SOURCE6} > anonftp.conf

# Avoid documentation name conflicts
mv contrib/README contrib/README.contrib

# Change shellbangs /usr/bin/env perl ⇒ /usr/bin/perl
%patch -P 1

# If we're running the full test suite, include the mod_vroot test
%patch -P 3 -p1 -b .test_vroot

# Remove references to mod_wrap from the configuration file if necessary
%if 0%{!?libwrap_support:1}
%patch -P 4 -b .nowrappers
%endif

# Remove references to mod_geoip from the configuration file if necessary
%if 0%{!?geoip_support:1}
%patch -P 5 -b .nogeoip
%endif

# Port configure script to C99: https://github.com/proftpd/proftpd/pull/1665
%patch -P 7 -p1 -b .c99

# Update fsio.c - if mkdir fails with EEXIST, also clear the cache
# https://github.com/proftpd/proftpd/pull/1677
%patch -P 9 -p1 -b .gh1677

# Use the system-wide CA certificate file rather than the one bundled with mod_proxy
%patch -P 10 -b .proxy-ca-cert

# Fix compilation of mod_proxy with older OpenSSL versions
# https://github.com/Castaglia/proftpd-mod_proxy/pull/270
%patch -P 11 -b .old-openssl

# Fix support for building with no ENGINE support in OpenSSL
# https://github.com/proftpd/proftpd/pull/1816
%patch -P 12 -p1 -b .no-engine

# Avoid potential null pointer dereference in mod_tls and mod_proxy
# https://github.com/proftpd/proftpd/pull/1817
%patch -P 13 -p1 -b .format-overflow

# Fix for C23 compatibility
# These are already non-issues in proftpd 1.3.9 upstream
%patch -P 14 -p0 -b .c23

# Avoid NULL pointer dereferences in mod_ls (CVE-2024-57392)
# https://github.com/proftpd/proftpd/issues/1866
%patch -P 15 -p1 -b .CVE-2024-57392

# OpenSSL Cipher Profiles introduced in Fedora 21
# Elsewhere, we use the default of DEFAULT:!ADH:!EXPORT:!DES
%if (0%{?rhel} && 0%{?rhel} <= 7) || (0%{?fedora} && 0%{?fedora} <= 20)
sed -i -e '/^[[:space:]]*TLSCipherSuite[[:space:]]*PROFILE=SYSTEM$/d' mod_tls.conf
%endif

# Tweak logrotate script for systemd compatibility (#802178)
%if (0%{?rhel} && 0%{?rhel} <= 7) || (0%{?fedora} && 0%{?fedora} <= 23)
sed -i -e '/killall/s/test.*/systemctl reload proftpd.service/' \
%else
sed -i -e '/killall/s/test.*/systemctl try-reload-or-restart proftpd.service/' \
%endif
	contrib/dist/rpm/proftpd.logrotate

# Avoid docfile dependencies
chmod -c -x contrib/xferstats.holger-preiss

# Remove bogus exec permissions from source files
chmod -c -x include/hanson-tpl.h lib/hanson-tpl.c

# Remove any patch backup files from documentation
find doc/ contrib/ -name '*.orig' -delete

%build
# Modules to be built as DSO's (excluding mod_ifsession, always specified last)
SMOD1=mod_sql:mod_sql_passwd:mod_sql_mysql:mod_sql_postgres:mod_sql_sqlite
SMOD2=mod_quotatab:mod_quotatab_file:mod_quotatab_ldap:mod_quotatab_radius:mod_quotatab_sql
SMOD3=mod_ldap:mod_ban%{?libwrap_support::mod_wrap}:mod_ctrls_admin:mod_facl:mod_load:mod_vroot
SMOD4=mod_radius:mod_ratio:mod_rewrite:mod_site_misc:mod_exec:mod_shaper%{?geoip_support::mod_geoip}
SMOD5=mod_wrap2:mod_wrap2_file:mod_wrap2_sql:mod_copy:mod_deflate:mod_ifversion:mod_qos
SMOD6=mod_sftp:mod_sftp_pam:mod_sftp_sql:mod_tls_shmcache:mod_tls_memcache
SMOD7=%{?mod_proxy_support}mod_unique_id

%configure \
			--libexecdir="%{_libexecdir}/proftpd" \
			--localstatedir="/run/proftpd" \
			--disable-strip \
			--enable-ctrls \
			--enable-dso \
			--enable-facl \
			--enable-ipv6 \
			--enable-memcache \
			--enable-nls \
			--enable-openssl \
			--disable-pcre \
%{?pcre2_support:	--enable-pcre2} \
%{?libsodium_support:	--enable-sodium} \
			--disable-redis \
			--enable-shadow \
			--enable-tests \
			--with-libraries="%{_libdir}/%{mysql_lib}" \
			--with-includes="%{_includedir}/mysql" \
			--with-modules=mod_readme:mod_auth_pam:mod_tls \
			--with-shared=${SMOD1}:${SMOD2}:${SMOD3}:${SMOD4}:${SMOD5}:${SMOD6}:${SMOD7}:mod_ifsession

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} \
	INSTALL_USER=`id -un` \
	INSTALL_GROUP=`id -gn`
mkdir -p %{buildroot}%{_sysconfdir}/proftpd/conf.d
install -D -p -m 640 proftpd.conf	%{buildroot}%{_sysconfdir}/proftpd.conf
install -D -p -m 640 anonftp.conf	%{buildroot}%{_sysconfdir}/proftpd/anonftp.conf
install -D -p -m 640 modules.conf	%{buildroot}%{_sysconfdir}/proftpd/modules.conf
install -D -p -m 640 mod_ban.conf	%{buildroot}%{_sysconfdir}/proftpd/mod_ban.conf
install -D -p -m 640 mod_qos.conf	%{buildroot}%{_sysconfdir}/proftpd/mod_qos.conf
install -D -p -m 640 mod_tls.conf	%{buildroot}%{_sysconfdir}/proftpd/mod_tls.conf
install -D -p -m 644 contrib/dist/rpm/proftpd.pam \
					%{buildroot}%{_sysconfdir}/pam.d/proftpd
install -D -p -m 644 contrib/dist/rpm/proftpd.service \
					%{buildroot}%{_unitdir}/proftpd.service
install -D -p -m 644 contrib/dist/systemd/proftpd.socket \
					%{buildroot}%{_unitdir}/proftpd.socket
install -D -p -m 644 contrib/dist/systemd/proftpd@.service \
					%{buildroot}%{_unitdir}/proftpd@.service
install -D -p -m 644 contrib/dist/rpm/proftpd.logrotate \
					%{buildroot}%{_sysconfdir}/logrotate.d/proftpd
install -D -p -m 644 %{SOURCE8}		%{buildroot}%{_localstatedir}/ftp/welcome.msg
install -D -p -m 644 %{SOURCE9}		%{buildroot}%{_sysconfdir}/sysconfig/proftpd
mkdir -p %{buildroot}%{_localstatedir}/{ftp/{pub,uploads},log/proftpd}
touch %{buildroot}%{_sysconfdir}/ftpusers

# We'll be using the system certificate database, not the one provided by mod_proxy
%if 0%{?mod_proxy_support:1}
rm %{buildroot}%{_sysconfdir}/cacerts.pem
%endif

# Make sure /run/proftpd exists at boot time for systems where it's on tmpfs (#656675)
install -d -m 755 %{buildroot}%{_prefix}/lib/tmpfiles.d
install -p -m 644 contrib/dist/rpm/proftpd-tmpfs.conf \
					%{buildroot}%{_prefix}/lib/tmpfiles.d/proftpd.conf

# Find translations
%find_lang proftpd

%check
# Integration tests not fully maintained - stick to API tests only by default
%if 0%{?_with_integrationtests:1}
ln ftpdctl tests/
make check
%else
# API tests should always be OK
if ! make -C tests api-tests; then
	# Diagnostics to report upstream
	cat tests/api-tests.log
	./proftpd -V
	# Fail the build
	false
fi
%endif

%post
%systemd_post proftpd.service
if [ $1 -eq 1 ]; then
	# Initial installation
	IFS=":"; cat /etc/passwd | \
	while { read username nu nu gid nu nu nu nu; }; do \
		if [ $gid -lt 100 -a "$username" != "ftp" ]; then
			echo $username >> %{_sysconfdir}/ftpusers
		fi
	done
fi

%preun
%systemd_preun proftpd.service
if [ $1 -eq 0 ]; then
	# Package removal, not upgrade
	find /run/proftpd -depth -mindepth 1 |
		xargs rm -rf &>/dev/null || :
fi

%postun
%systemd_postun_with_restart proftpd.service

%files -f proftpd.lang
%license COPYING
%doc CREDITS ChangeLog NEWS README.md
%doc README.modules contrib/README.contrib contrib/README.ratio
%doc doc/* sample-configurations/
%dir %{_localstatedir}/ftp/
%dir %{_localstatedir}/ftp/pub/
%dir /run/proftpd/
%dir %{_sysconfdir}/logrotate.d/
%dir %{_sysconfdir}/proftpd/
%dir %{_sysconfdir}/proftpd/conf.d/
%config(noreplace) %{_localstatedir}/ftp/welcome.msg
%config(noreplace) %{_sysconfdir}/blacklist.dat
%config(noreplace) %{_sysconfdir}/dhparams.pem
%config(noreplace) %{_sysconfdir}/ftpusers
%config(noreplace) %{_sysconfdir}/logrotate.d/proftpd
%config(noreplace) %{_sysconfdir}/pam.d/proftpd
%config(noreplace) %{_sysconfdir}/proftpd.conf
%config(noreplace) %{_sysconfdir}/proftpd/anonftp.conf
%config(noreplace) %{_sysconfdir}/proftpd/modules.conf
%config(noreplace) %{_sysconfdir}/proftpd/mod_ban.conf
%config(noreplace) %{_sysconfdir}/proftpd/mod_qos.conf
%config(noreplace) %{_sysconfdir}/proftpd/mod_tls.conf
%config(noreplace) %{_sysconfdir}/sysconfig/proftpd
%{_unitdir}/proftpd.service
%{_unitdir}/proftpd.socket
%{_unitdir}/proftpd@.service
%{_prefix}/lib/tmpfiles.d/proftpd.conf
%{_bindir}/ftpdctl
%{_sbindir}/ftpscrub
%{_sbindir}/ftpshut
%{_sbindir}/in.proftpd
%{_sbindir}/proftpd
%{_mandir}/man5/proftpd.conf.5*
%{_mandir}/man5/xferlog.5*
%{_mandir}/man8/ftpdctl.8*
%{_mandir}/man8/ftpscrub.8*
%{_mandir}/man8/ftpshut.8*
%{_mandir}/man8/proftpd.8*
%dir %{_libexecdir}/proftpd/
%{_libexecdir}/proftpd/mod_ban.so
%{_libexecdir}/proftpd/mod_ctrls_admin.so
%{_libexecdir}/proftpd/mod_copy.so
%{_libexecdir}/proftpd/mod_deflate.so
%{_libexecdir}/proftpd/mod_exec.so
%{_libexecdir}/proftpd/mod_facl.so
%{?geoip_support:%{_libexecdir}/proftpd/mod_geoip.so}
%{_libexecdir}/proftpd/mod_ifsession.so
%{_libexecdir}/proftpd/mod_ifversion.so
%{_libexecdir}/proftpd/mod_load.so
%{_libexecdir}/proftpd/mod_qos.so
%{_libexecdir}/proftpd/mod_quotatab.so
%{_libexecdir}/proftpd/mod_quotatab_file.so
%{_libexecdir}/proftpd/mod_quotatab_radius.so
%{_libexecdir}/proftpd/mod_quotatab_sql.so
%{_libexecdir}/proftpd/mod_radius.so
%{_libexecdir}/proftpd/mod_ratio.so
%{_libexecdir}/proftpd/mod_rewrite.so
%{_libexecdir}/proftpd/mod_sftp.so
%{_libexecdir}/proftpd/mod_sftp_pam.so
%{_libexecdir}/proftpd/mod_sftp_sql.so
%{_libexecdir}/proftpd/mod_shaper.so
%{_libexecdir}/proftpd/mod_site_misc.so
%{_libexecdir}/proftpd/mod_sql.so
%{_libexecdir}/proftpd/mod_sql_passwd.so
%{_libexecdir}/proftpd/mod_tls_memcache.so
%{_libexecdir}/proftpd/mod_tls_shmcache.so
%{_libexecdir}/proftpd/mod_unique_id.so
%{_libexecdir}/proftpd/mod_vroot.so
%{?libwrap_support:%{_libexecdir}/proftpd/mod_wrap.so}
%{_libexecdir}/proftpd/mod_wrap2.so
%{_libexecdir}/proftpd/mod_wrap2_file.so
%{_libexecdir}/proftpd/mod_wrap2_sql.so
%exclude %{_libexecdir}/proftpd/*.a
%if 0%{?fedora} < 36 && 0%{?rhel} < 10
%exclude %{_libexecdir}/proftpd/*.la
%endif
%attr(331, ftp, ftp) %dir %{_localstatedir}/ftp/uploads/
%attr(750, root, root) %dir %{_localstatedir}/log/proftpd/

%files devel
%{_bindir}/prxs
%{_includedir}/proftpd/
%{_libdir}/pkgconfig/proftpd.pc

%files ldap
%doc README.LDAP contrib/mod_quotatab_ldap.ldif contrib/mod_quotatab_ldap.schema
%{_libexecdir}/proftpd/mod_ldap.so
%{_libexecdir}/proftpd/mod_quotatab_ldap.so

%files mysql
%{_libexecdir}/proftpd/mod_sql_mysql.so

%files postgresql
%{_libexecdir}/proftpd/mod_sql_postgres.so

%if 0%{?mod_proxy_support:1}
%files proxy
%doc contrib/mod_proxy/README.md
%{_libexecdir}/proftpd/mod_proxy.so
%endif

%files sqlite
%{_libexecdir}/proftpd/mod_sql_sqlite.so

%files utils
%doc contrib/xferstats.holger-preiss
%{_bindir}/ftpasswd
%{_bindir}/ftpcount
%{_bindir}/ftpmail
%{_bindir}/ftpquota
%{_bindir}/ftptop
%{_bindir}/ftpwho
%{_mandir}/man1/ftpasswd.1*
%{_mandir}/man1/ftpcount.1*
%{_mandir}/man1/ftpmail.1*
%{_mandir}/man1/ftpquota.1*
%{_mandir}/man1/ftptop.1*
%{_mandir}/man1/ftpwho.1*

%changelog
* Thu Feb 13 2025 Paul Howarth <paul@city-fan.org> - 1.3.8c-3.0.cf
- Avoid NULL pointer dereferences in mod_ls (CVE-2024-57392)
  - https://github.com/proftpd/proftpd/issues/1866

* Fri Jan 17 2025 Paul Howarth <paul@city-fan.org> - 1.3.8c-2.0.cf
- Fixes for C23 compatibility
- Update mod_vroot to 0.9.12
  - Implement a realpath(3) callback for the FSIO API, for better
    interoperability of other modules when mod_vroot is in effect

* Thu Dec 12 2024 Paul Howarth <paul@city-fan.org> - 1.3.8c-1.0.cf
- Update to 1.3.8c
  - Using FTPS after upgrading from 1.3.8a to 1.3.8b lead to crash (GH#1770)
  - Bad handling of lack of extended attributes lead to SFTP out of memory
    error (GH#1785)
  - mod_sftp_sql logged "header value too long" due to unexpected key header
    text (GH#1529)
  - SSH ECDSA host key algorithms were not used as expected despite configuring
    appropriate key (GH#1839)
  - RADIUS Message-Authenticator verification failed with ProFTPD mod_radius
    (GH#1840)
  - Supplemental group inheritance granted unintended access to GID 0 due to
    lack of supplemental groups from mod_sql (GH#1830)

* Tue Nov 19 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-9.0.cf
- Fix RADIUS Message-Authenticator verification in mod_radius
  - https://github.com/proftpd/proftpd/issues/1840
  - https://bugzilla.redhat.com/show_bug.cgi?id=2325448

* Mon Sep 30 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-8.0.cf
- Explicitly switch from libmemcached to libmemcached-awesome from Fedora 35
  onwards

* Mon Jul 22 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-7.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-6.0.cf
- Fix support for building with no ENGINE support in OpenSSL (GH#1816)
- Avoid potential null pointer dereference in mod_tls and mod_proxy (GH#1817)

* Fri Mar 29 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-5.0.cf
- Add 'proxy' sub-package with unbundled mod_proxy (rhbz#2272051)
- Update fsio.c: if mkdir fails with EEXIST, also clear the cache (GH#1677)

* Thu Jan 25 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-4.0.cf
- Re-rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
  (see https://pagure.io/releng/issue/11888)

* Mon Jan 22 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan  1 2024 Paul Howarth <paul@city-fan.org> - 1.3.8b-2.0.cf
- Use libsodium to provide ed25519 key support for mod_sftp (#2256340)
- Update logrotate snippet to use try-reload-or-restart rather than reload
  for distributions with systemd 229 or later (PR#3)

* Wed Dec 20 2023 Paul Howarth <paul@city-fan.org> - 1.3.8b-1.0.cf
- Update to 1.3.8b
  - Compiling ProFTPD 1.3.8a mod_sftp, mod_tls using libressl 3.7.3 failed
    (GH#1735)
  - Build system failed for specific module names (GH#1756)
  - "Terrapin" Prefix Truncation Attacks in SSH Specification affected mod_sftp
    (CVE-2023-48795, GH#1760)

* Wed Dec 13 2023 Paul Howarth <paul@city-fan.org> - 1.3.8a-2.0.cf
- Additional C compatibility fix

* Mon Oct  9 2023 Paul Howarth <paul@city-fan.org> - 1.3.8a-1.0.cf
- Update to 1.3.8a
  - Fix mod_sftp failure to handle SFTP requests to truncate files to zero size
    (GH#1581)
  - Fix mod_sftp improperly handling SFTP WRITE requests for files opened for
    appending (GH#1584)
  - Build-time detection of Linux POSIX ACL support was broken since 1.3.8rc2
    (GH#1568)
  - Fix failure to load mod_rewrite as a dynamic module due to
    incomplete/missing library linker flags (GH#1590)
  - <Class> section is allowed to be in <Global>, but From directive is not
    (GH#1597)
  - ExtendedLog SSH, SFTP classes not working as expected (GH#1617)
  - Fix mod_sftp not handling multiple concurrent open file handles/transfers
    well for logging (GH#1646)
  - "TLSRequired off" plus Protocols directive caused mod_tls to terminate the
    session abruptly (GH#1679)
  - Fix mod_tls failure to compile against OpenSSL 3.0.8 due to missing
    ENGINE_METHOD_ flags (GH#1689)
  - Unknown named connection error when using different SQL backends (GH#1659)
  - Fix mod_sql not properly closing all named backend connections on session
    exit (GH#1697)
  - SSH key exchanges failed unexpectedly with "unable to write X bytes of raw
    data" errors due to small ProFTPD buffer (GH#1694)
  - Fix high session memory usage caused by SFTP outgoing data buffering
    (GH#1678)
  - Out-of-bounds buffer read when handling FTP commands (GH#1683,
    CVE-2023-51713)
  - SFTP algorithm settings in <Global> section were not being used (GH#1712)

* Thu Jul 27 2023 Paul Howarth <paul@city-fan.org> - 1.3.8-7.0.cf
- Fix for buffer overflow detected in response.c API test on s390x
  causing FTBFS in Fedora 39 (rhbz#2226148)
  (https://github.com/proftpd/proftpd/pull/1692)

* Wed Jul 19 2023 Paul Howarth <paul@city-fan.org> - 1.3.8-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May  7 2023 Paul Howarth <paul@city-fan.org> - 1.3.8-5.0.cf
- Port configure script to C99 (GH#1665)
- Avoid use of deprecated patch syntax

* Fri Feb  3 2023 Paul Howarth <paul@city-fan.org> - 1.3.8-4.0.cf
- Ensure mod_rewrite is linked against libidn2 so that it loads properly
  (rhbz#2166454, https://github.com/proftpd/proftpd/issues/1590)
- No longer need to explicitly remove libtool archives from Fedora 36 onwards

* Sat Jan 21 2023 Paul Howarth <paul@city-fan.org> - 1.3.8-3.0.cf
- Add PCRE2 support (rhbz#2158885)

* Fri Jan 20 2023 Paul Howarth <paul@city-fan.org> - 1.3.8-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec  5 2022 Paul Howarth <paul@city-fan.org> - 1.3.8-1.0.cf
- Update to 1.3.8 (see RELEASE_NOTES for details)
- Update mod_vroot to 0.9.11
  - Addresses a bad interaction with mod_auth_file, and failed login attempts,
    which can lead to inexplicably "stuck" processes that cannot be terminated
    (https://github.com/proftpd/proftpd/issues/1384)
- Use SPDX-format license tag

* Wed Aug  3 2022 Paul Howarth <paul@city-fan.org> - 1.3.7e-2.0.cf
- Update mod_vroot to 0.9.10
  - Fix unexpected filtering behaviour with mod_vroot (#2104972, GH#1491)

* Sun Jul 24 2022 Paul Howarth <paul@city-fan.org> - 1.3.7e-1.0.cf
- Update to 1.3.7e
  - Ensure that mod_sftp algorithms work properly with OpenSSL 3.x (GH#1448)
- Drop pcre build dependency since we have been explicitly disabling it for the
  last 5 years anyway

* Sat Jul 23 2022 Paul Howarth <paul@city-fan.org> - 1.3.7d-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Apr 25 2022 Paul Howarth <paul@city-fan.org> - 1.3.7d-1.0.cf
- Update to 1.3.7d
  - Fix crash with long lines in AuthGroupFile due to large realloc(3) (GH#1321)
  - NLST did not behave consistently for relative paths (GH#1325)
  - Implement AllowForeignAddress class matching for passive data transfers
    (GH#1346)
  - DeleteAbortedStores removed successfully transferred files unexpectedly
    (Bug #4467)
  - Keepalive socket options should be set using IPPROTO_TCP, not SOL_SOCKET
    (GH#1401)
  - TCP keepalive SocketOptions should apply to control as well as data
    connection (GH#1402)
  - ProFTPD always used the same PassivePorts port for first transfer (GH#1396)
  - Name-based virtual hosts not working as expected after upgrade from 1.3.7a
    to 1.3.7b (GH#1369)

* Sun Jan 23 2022 Paul Howarth <paul@city-fan.org> - 1.3.7c-4.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Sep 19 2021 Paul Howarth <paul@city-fan.org> - 1.3.7c-3.0.cf
- Rebuilt with OpenSSL 3.0.0 in Rawhide

* Sun Sep  5 2021 Paul Howarth <paul@city-fan.org> - 1.3.7c-2.0.cf
- Update to mod_vroot 0.9.9

* Tue Aug 31 2021 Paul Howarth <paul@city-fan.org> - 1.3.7c-1.0.cf
- Update to 1.3.7c
  - Improve mod_tls log messages for unsupported older TLS protocol requests
    (GH#1273)
  - Fix memory disclosure to RADIUS servers by mod_radius (GH#1284)
  - Properly handle <VirtualHost> sections that use interface/device names
    (GH#1282)
  - PCRE expressions with capture groups are not being handled properly
    (GH#1300)
  - AuthUserFile permissions check fails during SIGHUP, causing ProFTPD to
    stop (GH#1307)

* Sun Jul 25 2021 Paul Howarth <paul@city-fan.org> - 1.3.7b-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
- Fix dist tags for Alma and Rocky Linux

* Tue Jun 22 2021 Paul Howarth <paul@city-fan.org> - 1.3.7b-2.0.cf
- BR: glibc-gconv-extra for API tests from Fedora 35 onwards

* Mon Jun 14 2021 Paul Howarth <paul@city-fan.org> - 1.3.7b-1.0.cf
- Update to 1.3.7b
  - Fixed occasional segfaults with FTPS data transfers using TLSv1.3, when
    session tickets could not be decrypted (GH#1063)
  - Passive transfers failed unexpectedly due to use of SO_REUSEPORT socket
    option (GH#1171)
  - Implemented support for Redis 6.x AUTH semantics (GH#1070)
  - Fixed memory use-after-free issue in mod_sftp, which could cause unexpected
    login/authentication issues
  - Fixed SQL syntax regression for some generated SQL statements (GH#1149)
  - Fixed "Corrupted MAC on input" errors when SFTP uses the
    umac-64@openssh.com digest (GH#1111)

* Mon Feb  8 2021 Paul Howarth <paul@city-fan.org> - 1.3.7a-6.0.cf
- Rebuild for libpq ABI fix (#1908268)

* Wed Jan 27 2021 Paul Howarth <paul@city-fan.org> - 1.3.7a-5.0.cf
- Drop support for EOL distributions prior to F-19
  - Always use systemd and assume preset support
  - %%{rundir} is always /run
  - Drop support for migrating for sysvinit
  - Use systemd scriptlet macros from systemd-rpm-macros
  - Always use libmemcached
  - Use %%license unconditionally

* Tue Nov 24 2020 Paul Howarth <paul@city-fan.org> - 1.3.7a-4.0.cf
- Package mod_unique_id (#1901100)

* Wed Jul 29 2020 Paul Howarth <paul@city-fan.org> - 1.3.7a-3.0.cf
- Handle changed API in check 0.15
  (see https://bugzilla.redhat.com/show_bug.cgi?id=1850198)

* Tue Jul 28 2020 Paul Howarth <paul@city-fan.org> - 1.3.7a-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Paul Howarth <paul@city-fan.org> - 1.3.7a-1.0.cf
- Update to 1.3.7a
  - Fix build-time regression when using the --localstatedir configure option
    (https://github.com/proftpd/proftpd/issues/1055)

* Tue Jul 21 2020 Paul Howarth <paul@city-fan.org> - 1.3.7-1.0.cf
- Update to 1.3.7 (see RELEASE_NOTES for details)
- Add workaround for empty PR_RUN_DIR
  https://github.com/proftpd/proftpd/issues/1055
- Add dependency on logrotate

* Sun May 31 2020 Paul Howarth <paul@city-fan.org> - 1.3.6d-1.0.cf
- Update to 1.3.6d
  - Fixed issue with FTPS uploads of large files using TLSv1.3
    (https://github.com/proftpd/proftpd/issues/959)
  - Fixed regression in the handling of '%%{env:...}' configuration variables
    when the environment variable is not present
    (https://github.com/proftpd/proftpd/issues/857)
  - Second LIST of the same symlink shows different results
    (https://github.com/proftpd/proftpd/issues/940)
  - mod_sftp sends broken response when CREATETIME attribute is requested
    (https://github.com/proftpd/proftpd/issues/980)
  - Handle zero-length SFTP WRITE requests without error
    (http://bugs.proftpd.org/show_bug.cgi?id=4398)
  - PidFile should not be world-writable
    (https://github.com/proftpd/proftpd/issues/1018)
  - TLSv1.3 handshake fails due to missing session ticket key on some systems
    (https://github.com/proftpd/proftpd/issues/1014)
  - Lowercased FTP commands not properly identified
    (https://github.com/proftpd/proftpd/issues/1023)

* Sat May  9 2020 Paul Howarth <paul@city-fan.org> - 1.3.6c-3.0.cf
- Avoid duplicate hostname and timestamps in syslog (#1808989)
  http://bugs.proftpd.org/show_bug.cgi?id=4185
  https://github.com/proftpd/proftpd/issues/1002
  https://github.com/proftpd/proftpd/pull/1009

* Mon Apr 20 2020 Paul Howarth <paul@city-fan.org> - 1.3.6c-2.0.cf
- Retain a memory pool after an aborted transfer so that the %%{transfer-status}
  LogFormat functionality still works
- Own directory %%{_sysconfdir}/logrotate.d

* Wed Feb 19 2020 Paul Howarth <paul@city-fan.org> - 1.3.6c-1.0.cf
- Update to 1.3.6c
  - Use-after-free vulnerability in memory pools during data transfer
    (CVE-2020-9273, https://github.com/proftpd/proftpd/issues/903)
  - Fix mod_tls compilation with LibreSSL 2.9.x
    (https://github.com/proftpd/proftpd/issues/810)
  - MaxClientsPerUser was not enforced for SFTP logins when mod_digest was
    enabled (https://github.com/proftpd/proftpd/issues/750)
  - mod_sftp now handles an OpenSSH-specific private key format; it detects
    such keys, and logs a hint about reformatting them to a supported format
    (https://github.com/proftpd/proftpd/issues/793)
  - Directory listing was slower compared to previous ProFTPD versions
    (https://github.com/proftpd/proftpd/issues/793)
  - mod_sftp crashed when using pubkey-auth with DSA keys
    (https://github.com/proftpd/proftpd/issues/866)
  - Fix improper handling of TLS CRL lookups (CVE-2019-19269, CVE-2019-19270,
    https://github.com/proftpd/proftpd/issues/859)
  - Leaking PAM handler and data in case of unsuccessful authentication
    (https://github.com/proftpd/proftpd/issues/870)
  - SSH authentication failed for many clients due to receiving of
    SSH_MSG_IGNORE packet (http://bugs.proftpd.org/show_bug.cgi?id=4385)
  - SFTP publickey authentication failed unexpectedly when user had no shadow
    password info. (https://github.com/proftpd/proftpd/issues/890)
  - ftpasswd failed to restore password file permissions in some cases
    (https://github.com/proftpd/proftpd/issues/898)
  - Out-of-bounds read in mod_cap getstateflags() function; this has been
    addressed by updating the bundled version of libcap
    (CVE-2020-9272, https://github.com/proftpd/proftpd/issues/902)
    Note that this build of ProFTPD uses the system version of libcap and not
    the bundled version

* Thu Jan 30 2020 Paul Howarth <paul@city-fan.org> - 1.3.6b-4.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 22 2020 Paul Howarth <paul@city-fan.org> - 1.3.6b-3.0.cf
- Fix API tests compile failure with GCC 10
  https://github.com/proftpd/proftpd/pull/886
- mod_sftp: When handling the 'keyboard-interactive' authentication mechanism,
  as used for (e.g.) PAM, make sure to properly handle DEBUG, IGNORE,
  DISCONNECT, and UNIMPLEMENTED messages, per RFC 4253
  (http://bugs.proftpd.org/show_bug.cgi?id=4385)

* Fri Nov 29 2019 Paul Howarth <paul@city-fan.org> - 1.3.6b-2.0.cf
- Fix handling of CRL lookups by properly using issuer for lookups, and
  guarding against null pointers (GH#859, GH#861, CVE-2019-19269,
  CVE-2019-19270)

* Sun Oct 20 2019 Paul Howarth <paul@city-fan.org> - 1.3.6b-1.0.cf
- Update to 1.3.6b
  - Fixed pre-authentication remote denial-of-service issue
    (CVE-2019-18217, https://github.com/proftpd/proftpd/issues/846)

* Sun Oct 13 2019 Paul Howarth <paul@city-fan.org> - 1.3.6a-1.0.cf
- Update to 1.3.6a
  - Configure script wrongly detected AIX lastlog functions
    (http://bugs.proftpd.org/show_bug.cgi?id=4304)
  - AllowChrootSymlinks off could cause login failures depending on filesystem
    permissions (http://bugs.proftpd.org/show_bug.cgi?id=4306)
  - mod_ctrls: error: unable to bind to local socket: Address already in use
    (https://github.com/proftpd/proftpd/issues/501)
  - Failed to handle multiple %%{env:...} variables in single word in
    configuration (https://github.com/proftpd/proftpd/issues/507)
  - mod_sftp failed to check shadow password information when publickey
    authentication used (http://bugs.proftpd.org/show_bug.cgi?id=4308)
  - Use of "AllowEmptyPasswords off" broke SFTP/SCP logins
    (http://bugs.proftpd.org/show_bug.cgi?id=4309)
  - Use of mod_facl as static module caused ProFTPD to die on SIGHUP/restart
    (http://bugs.proftpd.org/show_bug.cgi?id=4310)
  - Use of curve25519-sha256@libssh.org SSH2 key exchange sometimes failed
    (https://github.com/proftpd/proftpd/issues/556)
  - Close extra file descriptors at startup
    (http://bugs.proftpd.org/show_bug.cgi?id=4312)
  - <Anonymous> with AuthAliasOnly in effect did not work as expected
    (http://bugs.proftpd.org/show_bug.cgi?id=4314)
  - CreateHome NoRootPrivs only worked partially
    (https://github.com/proftpd/proftpd/issues/568)
  - SFTP OPEN response included attribute flags that are not actually provided
    (https://github.com/proftpd/proftpd/issues/578)
  - Truncation of file while being downloaded with sendfile enabled caused
    timeouts due to infinite loop (http://bugs.proftpd.org/show_bug.cgi?id=4318)
  - FTP uploads frequently broke due to "Interrupted system call" error
    (http://bugs.proftpd.org/show_bug.cgi?id=4319)
  - Site-to-site transfers over TLS failed
    (https://github.com/proftpd/proftpd/issues/618)
  - Can't see symlinks using any FTP client when using MLSD
    (http://bugs.proftpd.org/show_bug.cgi?id=4322)
  - mod_tls 1.3.6 failed to compile using OpenSSL 0.9.8e
    (http://bugs.proftpd.org/show_bug.cgi?id=4325)
  - Using MaxClientsPerHost 1 in <Anonymous> section denied logins
    (http://bugs.proftpd.org/show_bug.cgi?id=4326)
  - SQLNamedConnectInfo with different backend database did not work properly
    (https://github.com/proftpd/proftpd/issues/642)
  - Segfault with mod_sftp+mod_sftp_pam after successful authentication using
    keyboard-interactive method (https://github.com/proftpd/proftpd/issues/656)
  - autoconf always failed to detect support for FIPS
    (https://github.com/proftpd/proftpd/issues/660)
  - SFTP connections failed when using "arcfour256" cipher
    (https://github.com/proftpd/proftpd/issues/663)
  - mod_auth_otp failed to build with OpenSSL 1.1.x
    (http://bugs.proftpd.org/show_bug.cgi?id=4335)
  - scp broken on FreeBSD 11 (http://bugs.proftpd.org/show_bug.cgi?id=4341)
  - Update mod_sftp to handle changed APIs in OpenSSL 1.1.x releases
    (https://github.com/proftpd/proftpd/issues/674)
  - Infinite loop possible in mod_sftp's set_sftphostkey() function
    (http://bugs.proftpd.org/show_bug.cgi?id=4356)
  - Some ASCII text files corrupted when downloading
    (http://bugs.proftpd.org/show_bug.cgi?id=4352)
  - Properly use the --includedir, --libdir configure variables in the
    generated proftpd.pc pkgconfig file
    (https://github.com/proftpd/proftpd/issues/797)
  - Reading invalid SSH key from database resulted in unexpected/unlogged
    disconnect failures (http://bugs.proftpd.org/show_bug.cgi?id=4350)
  - Symlink navigation broken after 1.3.6 update
    (http://bugs.proftpd.org/show_bug.cgi?id=4332)
  - Unable to connect to ProFTPD using TLSSessionTickets and TLSv1.3
    (https://github.com/proftpd/proftpd/issues/795)
  - SITE CPFR/CPTO did not honor <Limit> configurations
    (http://bugs.proftpd.org/show_bug.cgi?id=4372)
  - Using "TLSProtocol SSLv23" did not enable all protocol versions
    (https://github.com/proftpd/proftpd/issues/807)

* Sun Sep 15 2019 Paul Howarth <paul@city-fan.org> - 1.3.6-23.0.cf
- Refactor configuration to support /etc/proftpd/conf.d configuration and use
  config snippets (#1589441)
- Drop legacy GeoIP support from F-32, EL-8 onwards
  http://bugs.proftpd.org/show_bug.cgi?id=4053
  https://github.com/proftpd/proftpd/issues/605

* Fri Jul 26 2019 Paul Howarth <paul@city-fan.org> - 1.3.6-22.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 23 2019 Paul Howarth <paul@city-fan.org> - 1.3.6-21.0.cf
- An arbitrary file copy vulnerability in mod_copy in ProFTPD allowed for
  remote code execution and information disclosure without authentication
  (CVE-2019-12815)
  http://bugs.proftpd.org/show_bug.cgi?id=4372
  https://github.com/proftpd/proftpd/pull/816

* Sat Feb  2 2019 Paul Howarth <paul@city-fan.org> - 1.3.6-20.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 15 2019 Paul Howarth <paul@city-fan.org> - 1.3.6-19.0.cf
- Rebuild for libcrypt.so.2 in Rawhide

* Thu Sep  6 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-18.0.cf
- Switch from postgresql-devel to libpq-devel from Fedora 30 onwards

* Fri Aug 24 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-17.0.cf
- Fix infinite loop possible in mod_sftp's set_sftphostkey() function, by
  actually iterating properly for the next configuration record
  http://bugs.proftpd.org/show_bug.cgi?id=4356
  https://github.com/proftpd/proftpd/pull/736

* Sun Jul 15 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-16.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jul  5 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-15.0.cf
- Don't assume ENOATTR is always defined in test suite
- Update mod_sftp to handle changed APIs in OpenSSL 1.1.x releases
  https://github.com/proftpd/proftpd/issues/674
  https://github.com/proftpd/proftpd/pull/710

* Tue Feb 13 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-14.0.cf
- Drop some ancient obsoletes/provides

* Sat Jan 27 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-13.0.cf
- Account for systemd-units being merged into systemd at Fedora 17
- Drop support for SysV-to-systemd migration from Fedora 18, RHEL 7
- Use forward-looking conditionals
- Don't use full paths from commands in scriptlets, to aid readability

* Thu Jan 25 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-12.0.cf
- Rebuilt for switch to libxcrypt in Rawhide
- Disable strict linker checks for undefined symbols, which breaks build due
  to modules containing references to symbols in the main daemon

* Wed Jan 10 2018 Paul Howarth <paul@city-fan.org> - 1.3.6-10.0.cf
- Rebuild to sync with Rawhide

* Fri Dec  1 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-9.0.cf
- Disable tcp_wrappers support via libwrap/mod_wrap from F-28 onwards; note
  that similar functionality is still available using mod_wrap2, which does
  not use libwrap (ref: https://bugzilla.redhat.com/show_bug.cgi?id=1518776)

* Fri Oct 27 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-8.0.cf
- With systemd, wait for network-online.target before starting (#1506805)

* Thu Sep 21 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-7.0.cf
- Switch to build with MariaDB Connector/C library rather than full mysql-devel
  package from Fedora 28 onwards (#1493657,
  https://fedoraproject.org/wiki/User:Hhorak/mariadb-connector-c-proposal)

* Wed Sep 20 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-6.0.cf
- Add sqlite sub-package with mod_sql_sqlite for SQLite support (#1328321)

* Thu Aug  3 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-5.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Fri Jul 28 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-4.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 13 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-3.0.cf
- mod_sftp failed to check shadow password information when publickey
  authentication used (http://bugs.proftpd.org/show_bug.cgi?id=4308)
- Use of "AllowEmptyPasswords off" broke SFTP/SCP logins
  (http://bugs.proftpd.org/show_bug.cgi?id=4309)
- perl dependency renamed to perl-interpreter
  (https://fedoraproject.org/wiki/Changes/perl_Package_to_Install_Core_Modules)

* Mon May 22 2017 Paul Howarth <paul@city-fan.org> - 1.3.6-1.0.cf
- Update to 1.3.6 (see NEWS for details)
- Update mod_vroot to 0.9.5 (API compatibility with 1.3.6)
- Add upstream fixes for flaky API tests
  (https://github.com/proftpd/proftpd/issues/483)
  (https://github.com/proftpd/proftpd/pull/510)
  (https://github.com/proftpd/proftpd/pull/514)
- Add functionality to disable external network tests
  (https://github.com/proftpd/proftpd/pull/497)
- AllowChrootSymlinks off could cause login failures depending on filesystem
  permissions: use the IDs of the logging-in user to perform the directory
  walk, looking for symlinks, to be more consistent with similar checks done
  during login (#1443507, upstream bug 4306)
- Update template TLS configuration
- PCRE 7.0 always available for use now
- Disable PCRE support for now as JIT compiler has SELinux issues
  (https://bugs.exim.org/show_bug.cgi?id=1749)
- Update proftpd.service to use Type=simple rather than Type=forking
  (https://github.com/proftpd/proftpd/pull/506)
- Remove redundant bind() to controls socket
  (https://github.com/proftpd/proftpd/issues/501)
- Fix similars functionality and unit test
  (https://github.com/proftpd/proftpd/pull/513)
- Integration tests can use system Test::Unit now
- tcpd.h can always be found in tcp_wrappers-devel now

* Mon Apr 10 2017 Paul Howarth <paul@city-fan.org> - 1.3.5e-1.0.cf
- Update to 1.3.5e
  - SFTP clients using umac-64@openssh.com digest failed to connect
    (upstream bug 4287)
  - SFTP rekeying failure with ProFTPD 1.3.5d, caused by null pointer
    dereference (upstream bug 4288)
  - AllowChrootSymlinks off did not check entire DefaultRoot path for symlinks
    (CVE-2017-7418, upstream bug 4295)
- Change shellbangs in shipped perl scripts to use system perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - perl(Crypt::Cracklib) always available now
  - /etc/pam.d/password-auth always available now

* Wed Feb  8 2017 Paul Howarth <paul@city-fan.org> - 1.3.5d-3.0.cf
- Properly allocate (and clear) the UMAC contexts, to fix segfault in mod_sftp
  (#1420365, upstream bug 4287)

* Mon Jan 16 2017 Paul Howarth <paul@city-fan.org> - 1.3.5d-1.0.cf
- Update to 1.3.5d
  - Support OpenSSL 1.1.x API (upstream bug 4275)
  Bug fixes:
  - SSH rekey during authentication can cause issues with clients
    (upstream bug 4254)
  - Recursive SCP uploads of multiple directories not handled properly
    (upstream bug 4257)
  - LIST returns different results for file, depending on path syntax
    (upstream bug 4259)
  - "AuthAliasOnly on" in server config breaks anonymous logins
    (upstream bug 4255)
  - CapabilitiesEngine directive not honored for <IfUser>/<IfGroup> sections
    (upstream bug 4272)
  - Memory leak when mod_facl is used (upstream bug 4278)
  - All FTP logins treated as anonymous logins again (upstream bug 4283,
    regression in 1.3.5c of upstream bug 3307)

* Thu Nov 17 2016 Paul Howarth <paul@city-fan.org> - 1.3.5b-3.0.cf
- Support OpenSSL 1.1.x API (upstream bug 4275)

* Sat May 21 2016 Paul Howarth <paul@city-fan.org> - 1.3.5b-2.0.cf
- Handle client/server version skew in mod_sql_mysql
  (https://forums.proftpd.org/smf/index.php?topic=11887.0)
- Fix a possible cause of segfaults in mod_sftp (#1337880, upstream bug 4203)
- BR: perl-generators for correct dependencies in utils sub-package

* Fri Mar 11 2016 Paul Howarth <paul@city-fan.org> - 1.3.5b-1.0.cf
- Update to 1.3.5b
  - mod_geoip did not load all of the GeoIPTables properly (upstream bug 4187)
  - "Incorrect string value" reported by mod_sql_mysql for some UTF8 characters
    (upstream bug 4191)
  - SSH rekey failed when using RSA hostkey smaller than 2048 bits
    (upstream bug 4097)
  - MLSD/MLST fact type "cdir" is incorrectly used for the current working
    directory (upstream bug 4198)
  - HiddenStores temporary files not removed when exceeding quota using SCP
    (upstream bug 4201)
  - MLSD lines not properly terminated with CRLF (upstream bug 4202)
  - Zero-length memory allocation possible, with undefined results
    (upstream bug 4209)
  - Avoid unbounded SFTP extended attribute key/values (upstream bug 4210)
  - Ensure that FTP data transfer commands fail appropriately when
    "RootRevoke on" is in effect (upstream bug 4212)
  - Handle FTP re-authentication attempts better (upstream bug 4217)
  - Permissions on files uploaded via STOU did not honor configured Umask
    (upstream bug 4223)
  - Support SFTP clients that send multiple INIT requests (upstream bug 4227)
  - TLSDHParamFile directive appears ignored because unexpected DH is chosen
    (upstream bug 4230)
- Drop unbundled old version of mod_geoip
- Drop upstreamed patches

* Fri Feb  5 2016 Paul Howarth <paul@city-fan.org> - 1.3.5a-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec  1 2015 Paul Howarth <paul@city-fan.org> - 1.3.5a-5.0.cf
- Avoid unbounded SFTP extended attribute key/values
  (#1286977, http://bugs.proftpd.org/show_bug.cgi?id=4210)

* Thu Oct 29 2015 Paul Howarth <paul@city-fan.org> - 1.3.5a-4.0.cf
- See if we can fix crash in mod_lang
  http://bugs.proftpd.org/show_bug.cgi?id=4206
  https://retrace.fedoraproject.org/faf/reports/10744/

* Thu Sep 10 2015 Paul Howarth <paul@city-fan.org> - 1.3.5a-3.0.cf
- Add dependency on perl(Crypt::Cracklib), needed for ftpasswd --use-cracklib

* Fri Jun 19 2015 Paul Howarth <paul@city-fan.org> - 1.3.5a-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Paul Howarth <paul@city-fan.org> - 1.3.5a-1.0.cf
- Update to 1.3.5a
  - Fixed "stalled" SSL/TLS handshakes for data transfers
  - Fixed handling of SSH keys with overlong Comment headers in mod_sftp_sql
  - By default, mod_tls will no longer support SSLv3 connections; in order to
    support SSLv3 connections (for sites that need to), you must explicitly
    configure this via the TLSProtocol directive, e.g.:
    TLSProtocol SSLv3 TLSv1 ...
  - The mod_copy module is enabled by default; there may be cases where the
    module should be disabled, without requiring a rebuild of the server, thus
    mod_copy now supports a CopyEngine directive to enable/disable the module
  - The DeleteAbortedStores directive (for Bug#3917) is only enabled when
    HiddenStores is in effect, as intended when originally implemented, rather
    than all the time
  - Many other bug-fixes, see NEWS for details
- Drop upstreamed patches

* Wed May 27 2015 Paul Howarth <paul@city-fan.org> - 1.3.5-7.0.cf
- Update mod_vroot to 0.9.4
  - Fix broken vroot alias checks (GH#4, GH#5)
  - Improve documentation
  - Add further regression tests

* Tue Apr 28 2015 Paul Howarth <paul@city-fan.org> - 1.3.5-6.0.cf
- Unauthenticated copying of files via SITE CPFR/CPTO was allowed by mod_copy
  (CVE-2015-3306, http://bugs.proftpd.org/show_bug.cgi?id=4169)

* Thu Feb  5 2015 Paul Howarth <paul@city-fan.org> - 1.3.5-5.0.cf
- Update mod_vroot to 0.9.3 and drop upstreamed mod_vroot patch
- Anonymous upload directory specification needs to be slightly different if
  mod_vroot is in use (#1045922)
  http://sourceforge.net/p/proftp/mailman/message/31728570/
- For systemd-based systems, use systemd rather than xinetd for inetd mode
  activation (#737707); to use this mode, set "ServerType inetd" in
  /etc/proftpd.conf and do "systemctl enable proftpd.socket" (and
  "systemctl start proftpd.socket" to start listening for connections)

* Sun Aug 17 2014 Paul Howarth <paul@city-fan.org> - 1.3.5-4.0.cf
- Use %%license where possible

* Sun Jun  8 2014 Paul Howarth <paul@city-fan.org> - 1.3.5-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 16 2014 Paul Howarth <paul@city-fan.org> - 1.3.5-2.0.cf
- Add upstream fix to ignore any ENOPROTOOPT errors when setting the
  IPv6 TCLASS (TOS) flags on the socket; they make for noisier logging
  without providing any actual value to the user/admin (upstream bug 4055)
- Support systemd presets on EL-7
- Drop workarounds for finding SSL headers on old distros
- Drop support for old distros without PAM audit modules

* Thu May 15 2014 Paul Howarth <paul@city-fan.org> - 1.3.5-1.0.cf
- Update to 1.3.5 (see NEWS for details)
- Drop upstreamed patches
- Drop support for old distributions prior to FC-5
  - Always use certs in %%{_sysconfdir}/pki/tls/certs
  - Always build mod_facl
  - No longer need to support pam_stack
  - Drop support for broken mysql_config scripts
  - Drop %%defattr, redundant since rpm 4.4

* Thu Dec 19 2013 Paul Howarth <paul@city-fan.org> - 1.3.4d-5.0.cf
- Fix support for 8192-bit DH parameters (#1044586)
- Add 3072-bit and 7680-bit DH parameters (upstream bug 4002)

* Sat Sep 14 2013 Paul Howarth <paul@city-fan.org> - 1.3.4d-4.0.cf
- Fix mod_sftp/mod_sftp_pam invalid pool allocation during kbdint authentication
  (#1007678, upstream bug #3973, CVE-2013-4359)

* Sun Jul 28 2013 Paul Howarth <paul@city-fan.org> - 1.3.4d-3.1.cf
- Systemd detection was broken in F-19 so hardcode it instead

* Wed Jul 17 2013 Paul Howarth <paul@city-fan.org> - 1.3.4d-3.0.cf
- Pointless rebuild for Perl 5.18 in Rawhide

* Mon Jun 17 2013 Paul Howarth <paul@city-fan.org> - 1.3.4d-2.0.cf
- Fix spurious log messages at session close (upstream bug #3945)

* Sat Jun 15 2013 Paul Howarth <paul@city-fan.org> - 1.3.4d-1.0.cf
- Update to 1.3.4d
  - Fixed broken build when using --disable-ipv6 configure option
  - Fixed mod_sql "SQLAuthType Backend" MySQL issues
  - Various other bugs fixed - see NEWS for details
- Drop upstreamed patch for PAM session closing

* Tue Apr 16 2013 Paul Howarth <paul@city-fan.org> - 1.3.4c-2.0.cf
- Make sure we can switch back to root before closing PAM sessions so that
  they're closed properly and don't pollute the system logs with dbus reject
  messages (#951728, upstream bug #3929)

* Thu Mar  7 2013 Paul Howarth <paul@city-fan.org> - 1.3.4c-1.0.cf
- Update to 1.3.4c
  - Added Spanish translation
  - Fixed several mod_sftp issues, including SFTPPassPhraseProvider,
    handling of symlinks for REALPATH requests, and response code logging
  - Fixed symlink race for creating directories when UserOwner is in effect
  - Increased performance of FTP directory listings
- Drop MySQL password patch, no longer needed
- Drop upstreamed proftpd patch for CVE-2012-6095
- Update patch for bug 3744 to apply against updated proftpd code

* Thu Feb 14 2013 Paul Howarth <paul@city-fan.org> - 1.3.4b-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 10 2013 Paul Howarth <paul@city-fan.org> - 1.3.4b-5.0.cf
- Update patch for CVE-2012-6095 to cover vroot cases

* Mon Jan  7 2013 Paul Howarth <paul@city-fan.org> - 1.3.4b-4.0.cf
- Fix possible symlink race when applying UserOwner to newly created directory
  (CVE-2012-6095, #892715, http://bugs.proftpd.org/show_bug.cgi?id=3841)

* Mon Sep 24 2012 Paul Howarth <paul@city-fan.org> - 1.3.4b-3.0.cf
- Rebuild for new libmemcached in Rawhide

* Thu Aug 30 2012 Paul Howarth <paul@city-fan.org> - 1.3.4b-2.0.cf
- Add support for systemd presets in Fedora 18+ (#850281)

* Wed Aug  1 2012 Paul Howarth <paul@city-fan.org> - 1.3.4b-1.0.cf
- Update to 1.3.4b
  - Fixed mod_ldap segfault on login when LDAPUsers with no filters used
  - Fixed sporadic SFTP upload issues for large files
  - Fixed SSH2 handling for some clients (e.g. OpenVMS)
  - New FactsOptions directive; see doc/modules/mod_facts.html#FactsOptions
  - Fixed build errors on Tru64, AIX, Cygwin
  - Lots of bugs fixed - see NEWS for details
- No bzipped tarball release this time, so revert to gzipped one
- Drop patches for fixes included in upstream release

* Sat Jul 21 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-11.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul  3 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-10.0.cf
- Move tmpfiles.d file from %%{_sysconfdir} to %%{_prefix}/lib

* Sat Apr 21 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-9.0.cf
- Rebuild for new libmemcached in Rawhide

* Fri Apr 13 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-8.0.cf
- Do hardened (PIE) builds where possible

* Mon Mar 12 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-7.0.cf
- Tweak logrotate script for systemd compatibility (#802178)
- Fix leaked file descriptors for log files (as per bug 3751)

* Sat Mar  3 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-6.0.cf
- Rebuild for new libmemcached in Rawhide

* Tue Feb 28 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-5.0.cf
- Document SELinux configuration for ProFTPD in proftpd.conf (#785443)
- Add support for basic and administrative controls actions using ftpdctl by
  default (#786623)
- Add trace logging directives in proftpd.conf but disable them by default as
  they impair performance
- Fix ftpwho/ftptop not showing command arguments (bug 3714)
- Fix MLSD/MLST fail with "DirFakeUser off" or "DirFakeGroup off" (bug 3715)
- Fix proftpd fails to run with "Abort trap" error message (bug 3717)
- Fix LIST -R can loop endlessly if bad directory symlink exists (bug 3719)
- Fix overly restrictive module logfile permissions (bug 3720)
- Fix mod_memcache segfault on server restart (bug 3723)
- Fix unloading mod_quotatab causes segfault (#757311, bug 3724)
- Fix mod_exec does not always capture stdout/stderr output from executed
  command (bug 3726)
- Fix mod_wrap2 causes unexpected LogFormat %%u expansion for SFTP connections
  (bug 3727)
- Fix mod_ldap segfault when LDAPUsers is used with no optional filters
  (bug 3729)
- Fix DirFakeUser/DirFakeGroup off with name causes SIGSEGV for MLSD/MLST
  commands (bug 3734)
- Fix improper handling of self-signed certificate in client-sent cert list
  when "TLSVerifyClient on" is used (bug 3742)
- Fix random stalls/segfaults seen when transferring large files via SFTP
  (bug 3743)
- Support ls(1) -1 option for LIST command (bug 3744)
- Reject PASV command if no IPv4 address available (bug 3745)
- Support applying ListOptions only to NLST or to LIST commands (bug 3746)
- Support option for displaying symlinks via MLSD using syntax preferred by
  FileZilla (bug 3747)
- Fix mod_ban not closing and reopening the BanLog/BanTable file descriptors
  on restart, causing a file descriptor leak (bug 3751)
- Fix mod_ctrls no longer listening on ControlsSocket after restart (bug 3756)

* Fri Feb 10 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-4.0.cf
- Rebuild for new libpcre in Rawhide

* Mon Jan 16 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-3.0.cf
- Add -utils subpackage for support tools, which means the main package
  no longer requires perl

* Tue Jan 10 2012 Paul Howarth <paul@city-fan.org> - 1.3.4a-2.0.cf
- Make mod_vroot a DSO, loaded by default (#772354)
- VRootAlias for /etc/security/pam_env.conf is redundant, so remove it
- Add BanMessage (#772354)
- Add -devel subpackage for building third-party modules

* Fri Nov 11 2011 Paul Howarth <paul@city-fan.org> - 1.3.4a-1.0.cf
- Update to 1.3.4a:
  - Fixed mod_load/mod_wrap2 build issues
- Drop now-redundant workaround for building mod_load and mod_wrap2
- Drop upstreamed patch for xinetd config typo

* Thu Nov 10 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-1.0.cf
- Update to 1.3.4, addressing the following bugs since 1.3.4rc3:
  - ProFTPD with mod_sql_mysql dies of "Alarm clock" on FreeBSD (bug 3702)
  - mod_sql_mysql.so: undefined symbol: make_scrambled_password with MySQL 5.5
    on Fedora (bug 3669)
  - PQescapeStringConn() needs a better check (bug 3192)
  - Enable OpenSSL countermeasure against SSLv3/TLSv1 BEAST attacks (bug 3704);
    to disable this countermeasure, which may cause interoperability issues
    with some clients, use the NoEmptyFragments TLSOption
  - Support SFTPOption for ignoring requests to modify timestamps (bug 3706)
  - RPM build on CentOS 5.5 (64bit): "File not found by glob" (bug 3640)
  - Response pool use-after-free memory corruption error
    (bug 3711, #752812, ZDI-CAN-1420, CVE-2011-4130)
- Drop upstream patch for make_scrambled_password_323
- Update patch for broken mysql_config scripts on ancient distros
- Use upstream SysV initscript rather than our own
- Use upstream systemd service file rather than our own
- Use upstream PAM configuration rather than our own
- Use upstream logrotate configuration rather than our own
- Use upstream tempfiles configuration rather than our own
- Use upstream xinetd configuration rather than our own

* Thu Oct  6 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.15.0.cf.rc3
- Add upstream patch to not try make_scrambled_password_323 if the MySQL
  library doesn't export it (#718327, upstream bug 3669); this removes support
  for password hashes generated on MySQL prior to 4.1
- Update MySQL config patch to apply cleanly

* Thu Sep 29 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.14.0.cf.rc3
- Update to 1.3.4rc3 (see NEWS and RELEASE_NOTES for full details)
  - The mod_ldap configuration directives have changed to a simplified version;
    please read the "Changes" section in README.LDAP for details
  - Support for using RADIUS for authentication SSH2 logins, and for supporting
    the NAS-IPv6-Address RADIUS attribute
  - Automatically disable sendfile support on AIX systems
  - <Limit WRITE> now prevents renaming/moving a file out of the limited
    directory
  - ExtendedLog entries now written for data transfers that time out
- Drop upstreamed patches
- Use new --disable-strip option to retain debugging symbols
- Use upstream LDAP quota table schema rather than our own copy
- Add patch for broken MySQL auth (#718327, upstream bug 3669)
- Remove spurious exec permissions on systemd unit file
- Use presence of /run/lock to determine if systemd is init system

* Tue Sep 27 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.13.0.cf.rc2
- Use native systemd init from Fedora 15 onwards
- Use /run rather than /var/run if using systemd init

* Fri Aug 26 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.10.1.cf.rc2
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun  3 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.10.0.cf.rc2
- Rebuild for new libmemcached in Rawhide

* Tue May 17 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.9.0.cf.rc2
- Add a number of fixes for bugs reported upstream:
  - Avoid spinning proftpd process if read(2) returns EAGAIN (bug 3639)
  - SITE CPFR/CPTO does not update quota tally (bug 3641)
  - Segfault in mod_sql_mysql if "SQLAuthenticate groupsetfast" used (bug 3642)
  - Disable signal handling for exiting session processes (bug 3644)
  - Ensure that SQLNamedConnectInfos with PERSESSION connection policies are
    opened before chroot (bug 3645)
  - MaxStoreFileSize can be bypassed using REST/APPE (bug 3649)
  - Fix TCPAccessSyslogLevel directive (bug 3652)
  - Segfault with "DefaultServer off" and no matching server for incoming IP
    address (bug 3653)

* Fri Apr  8 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.8.0.cf.rc2
- Update mod_geoip to 0.3 (update for new regexp API)
- Drop patch for mod_geoip API fix

* Tue Apr  5 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.7.0.cf.rc2
- Enable mod_memcache and mod_tls_memcache if we have libmemcached >= 0.41
- Drop pcre version requirement to 7.0
- Fix mod_geoip and re-enable it

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.6.0.cf.rc2
- Update to 1.3.4rc2 (see NEWS and RELEASE_NOTES for full details)
  - Display messages work properly again
  - Fixes plaintext command injection vulnerability in FTPS implementation
    (bug 3624)
  - Fixes CVE-2011-1137 (badly formed SSH messages cause DoS - bug 3586)
  - Performance improvements, especially during server startup/restarts
  - New modules mod_memcache and mod_tls_memcache for using memcached servers
    for caching information among different proftpd servers and/or across
    sessions (this functionality is not yet enabled in this package)
  - Utilities installed by default: ftpasswd, ftpmail, ftpquota
  - New configuration directives:
    - MaxCommandRate
    - SQLNamedConnectInfo
    - TraceOptions
  - Changed configuration directives:
    - BanOnEvent
    - ExtendedLog
    - LogFormat
    - PathAllowFilter
    - PathDenyFilter
    - SFTPOptions
    - SFTPPAMOptions
    - SQLNamedQuery
    - TLSSessionCache
    - Trace
  - New documentation for ConnectionACLs and utilities (ftpasswd etc.)
- Temporarily drop mod_geoip as it fails to build
- We need pcre 7.3 or later for pcre regex support
- Nobody else likes macros for commands

* Tue Mar  1 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.5.0.cf.rc1
- Update to 2011-02-28 CVS snapshot
- Drop patches for upstream bug 3595, now included upstream

* Thu Feb 24 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.4.0.cf.rc1
- Update to 2011-02-23 CVS snapshot
- Use the pcre regex implementation rather than the glibc one, which isn't safe
  with untrusted regexps (http://bugs.proftpd.org/3595, CVE-2010-4051,
  CVE-2010-4052)
- BR: pcre-devel
- Drop upstream patches merged into CVS snapshot patch

* Tue Jan 11 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.3.0.cf.rc1
- Update mod_vroot to 0.9.2
- Get more of the integration tests working

* Wed Jan  5 2011 Paul Howarth <paul@city-fan.org> - 1.3.4-0.2.0.cf.rc1
- Update mod_vroot to 0.9.1
- Add upstream patches making unit tests work on systems where 127.0.0.1
  maps to localhost.localdomain rather than just localhost

* Mon Dec 20 2010 Paul Howarth <paul@city-fan.org> - 1.3.4-0.1.0.cf.rc1
- Update to 1.3.4rc1 (see RELEASE_NOTES for full details)
  - Added Japanese translation
  - Many mod_sftp bugfixes
  - Fixed SSL_shutdown() errors caused by OpenSSL 0.9.8m and later
  - Added support for SMTP authentication in ftpmail script
  - Updated fnmatch implementation, using glibc-2.9 version
  - New modules: mod_copy, mod_deflate, mod_ifversion, mod_qos
  - New configuration directives:
    - Protocols
    - ScoreboardMutex
    - SFTPClientAlive
    - WrapOptions
  - Changed configuration directives:
    - BanOnEvent
    - ListOptions
    - LogFormat
    - SFTPOptions
    - TLSOptions
    - UseSendfile
  - Deprecated configuration directives:
    - DisplayGoAway (support for this directive has been removed)
- Add %%check section, running the API tests by default
- BR: check-devel, needed for the API test suite
- Add upstream patch (http://bugs.proftpd.org/3568), modified slightly, to fix
  the API tests
- Optionally run the perl-based integration test suite if the build option
  --with integrationtests is supplied; this is off by default as it is not
  fully maintained and is expected to fail in parts
  (see http://bugs.proftpd.org/3568#c5)
- Bundle perl(Test::Unit) 0.14, needed to run the integration test suite
  (version in Fedora is incompatible later version not from CPAN)
- BR: perl modules Compress::Zlib, IO::Socket::SSL, Net::FTPSSL, Net::SSLeay,
  Net::Telnet, Test::Harness and Time::HiRes if building --with integrationtests
- New DSO modules: mod_copy, mod_deflate, mod_ifversion, mod_qos
- QoS support can be enabled in /etc/sysconfig/proftpd
- Fix up configure script to be able to handle mysql_config scripts in
  ancient distributions that have incompatible output

* Mon Dec 20 2010 Paul Howarth <paul@city-fan.org> - 1.3.3d-1.0.cf
- Update to 1.3.3d
  - Fixed sql_prepare_where() buffer overflow (bug 3536)
  - Fixed CPU spike when handling .ftpaccess files
  - Fixed handling of SFTP uploads when compression is used

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 1.3.3c-3.0.cf
- Update mod_vroot to 0.9 (improvements to alias handling)
- Note that the previous default configuration is broken by this change; see
  the new VRootAlias line in proftpd.conf
- Add Default-Stop LSB keyword in initscript (for runlevels 0, 1, and 6)

* Wed Dec  1 2010 Paul Howarth <paul@city-fan.org> - 1.3.3c-2.0.cf
- Add /etc/tmpfiles.d/proftpd.conf for builds on Fedora 15 onwards to
  support running with /var/run on tmpfs (#656675)

* Mon Nov  1 2010 Paul Howarth <paul@city-fan.org> - 1.3.3c-1.0.cf
- Update to 1.3.3c (#647965)
  - Fixed Telnet IAC stack overflow vulnerability (CVE-2010-4221)
  - Fixed directory traversal bug in mod_site_misc (CVE-2010-3867)
  - Fixed SQLite authentications using "SQLAuthType Backend"
- New DSO module: mod_geoip

* Thu Sep 30 2010 Paul Howarth <paul@city-fan.org> - 1.3.3b-2.0.cf
- Rebuild for gcc bug (#634757)

* Fri Sep 10 2010 Paul Howarth <paul@city-fan.org> - 1.3.3b-1.0.cf
- Update to 1.3.3b
  - Fixed SFTP directory listing bug
  - Avoid corrupting utmpx databases on FreeBSD
  - Avoid null pointer dereferences during data transfers
  - Fixed "AuthAliasOnly on" anonymous logins

* Fri Jul  2 2010 Paul Howarth <paul@city-fan.org> - 1.3.3a-1.0.cf
- Update to 1.3.3a
  - Added Japanese translation
  - Many mod_sftp bugfixes
  - Fixed SSL_shutdown() errors caused by OpenSSL 0.9.8m and later
  - Fixed handling of utmp/utmpx format changes on FreeBSD

* Tue May 18 2010 Paul Howarth <paul@city-fan.org> - 1.3.3-1.1.cf
- Fix dist tag for RHEL-6 Beta

* Thu Feb 25 2010 Paul Howarth <paul@city-fan.org> - 1.3.3-1.0.cf
- Update to 1.3.3
  - Fix creation of mod_ban whitelists using <Class> and <IfClass> (bug 3389)
  - Fix use of HideFiles none on a per-user basis (bug 3397)

* Mon Feb 15 2010 Paul Howarth <paul@city-fan.org> - 1.3.3-0.4.0.cf.rc4
- Update to 1.3.3rc4, addressing many bugs (see NEWS)
- Update PID file location in initscript

* Thu Dec 10 2009 Paul Howarth <paul@city-fan.org> - 1.3.3-0.3.0.cf.rc3
- Update to 1.3.3rc3, addressing many bugs (see NEWS) including
  CVE-2009-3555 (SSL/TLS renegotiation)
- Drop upstreamed patches

* Thu Dec 10 2009 Paul Howarth <paul@city-fan.org> - 1.3.3-0.2.0.cf.rc2
- Add patch for upstream bug 3307 - all logins treated as anonymous if
  there's an <Anonymous> section in the proftpd.conf
- Add patch for upstream bug 3350 - segfault on auth failures

* Wed Dec  9 2009 Paul Howarth <paul@city-fan.org> - 1.3.3-0.1.0.cf.rc2
- Update to 1.3.3rc2
- Drop upstreamed patches
- Add new upstream patch for build with OpenSSL 1.0 beta releases (bug 3349)
- Upstream distribution now includes mod_exec, so drop unbundled source
- New DSO modules:
  - mod_sftp
  - mod_sftp_pam
  - mod_sftp_sql
  - mod_shaper
  - mod_sql_passwd
  - mod_tls_shmcache
- Configure script no longer appends "/proftpd" to --localstatedir option
- New utility ftpscrub for scrubbing the scoreboard file
- Include public key blacklist and Diffie-Hellman parameter files for mod_sftp
  in %%{_sysconfdir}
- Remove IdentLookups from config file - disabled by default now
- Import GPG key before attempting to verify the source
- Dist tag for Rawhide no longer needs special-casing

* Wed Oct 21 2009 Paul Howarth <paul@city-fan.org> - 1.3.2b-1.0.cf
- Update to 1.3.2b
  - Fixed regression causing command-line define options not to work (bug 3221)
  - Fixed improper SSL/TLS certificate subjectAltName verification (bug 3275)
  - Use correct cached user values with "SQLNegativeCache on" (bug 3282)
  - Fix slower transfers of multiple small files (bug 3284)
  - Support MaxTransfersPerHost, MaxTransfersPerUser properly (bug 3287)
  - Handle symlinks to directories with trailing slashes properly (bug 3297)
- Drop upstreamed defines patch (bug 3221)

* Thu Sep 17 2009 Paul Howarth <paul@city-fan.org> - 1.3.2a-7.0.cf
- Restore backward SRPM compatibility broken by previous change

* Wed Sep 16 2009 Tomas Mraz <tmraz@redhat.com> 1.3.2a-6
- Use password-auth common PAM configuration instead of system-auth

* Mon Sep  7 2009 Paul Howarth <paul@city-fan.org> - 1.3.2a-5.0.cf
- Add upstream patch for MLSD with dirnames containing glob chars (#521634)

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> - 1.3.2a-4.0.cf
- New DSO module: mod_exec (#520214)
- Merge tls subpackage back into main package as per Fedora, since main package
  has OpenSSL dependencies anyway

* Wed Aug 19 2009 Paul Howarth <paul@city-fan.org> - 1.3.2a-3.0.cf
- Use mod_vroot to work around PAM/chroot issues (#477120, #506735)

* Fri Jul 31 2009 Paul Howarth <paul@city-fan.org> - 1.3.2a-2.0.cf
- Add upstream patch to fix parallel build (http://bugs.proftpd.org/3189)

* Mon Jul  6 2009 Paul Howarth <paul@city-fan.org> - 1.3.2a-1.0.cf
- Update to 1.3.2a
- Add patch to reinstate support for -DPARAMETER (upstream bug 3221)
- Drop upstreamed config.h patch
- Drop upstreamed sendfile verbosity patch
- Drop upstreamed CAP_AUDIT_WRITE patch
- Update nostrip patch to support build of mod_wrap2
- Remove mod_cap configuration from proftpd.conf (no longer needed)
- New DSO modules:
  - mod_quotatab_radius
  - mod_wrap2
  - mod_wrap2_file
  - mod_wrap2_sql
- Enable mod_lang/nls support for RFC 2640 (and buildreq gettext)
- Add /etc/sysconfig/proftpd to set PROFTPD_OPTIONS and update initscript to
  use this value so we can use a define to enable (e.g.) anonymous FTP support
  rather than having a huge commented-out section in the config file
- Rewrite config file to remove most settings that don't change upstream
  defaults, and add brief descriptions for all available loadable modules
- Move Umask and IdentLookups settings from server config to <Global> context
  so that they apply to all servers, including virtual hosts (#509251)
- Ensure mod_ifsession is always the last one specified, which makes sure that
  mod_ifsession's changes are seen properly by other modules
- Drop pam version requirement - all targets have sufficiently recent version
- Drop redundant explicit dependency on pam
- Subpackages don't need to own %%{_libexecdir}/proftpd directory
- Don't include %%{_includedir} to --with-includes list for %%configure
- Hack to fix bogus rpath no longer needed
- Merge proftpd-extras into main proftpd package (negligible extra deps)
- Fix provides for proftpd-core and proftpd-standalone
- Simplify quoting in acl_dep_libs macro definition (helps syntax highlighting)
- Just remove everything from /var/run/proftpd on package removal rather than
  trying to %%ghost everything (too many different things could be in there)

* Thu Jun 25 2009 Paul Howarth <paul@city-fan.org> - 1.3.2-2.2.cf
- BuildRequire libcap-devel so that we use the system library rather than the
  bundled one, and eliminate log messages like:
  kernel: warning: `proftpd' uses 32-bit capabilities (legacy support in use)
- Don't ship patch backup of mod_cap documentation

* Wed Apr 15 2009 Paul Howarth <paul@city-fan.org> - 1.3.2-2.1.cf
- Don't make log entries by default every time a transfer is done using the
  sendfile capability

* Tue Apr  7 2009 Paul Howarth <paul@city-fan.org> - 1.3.2-1.1.cf
- Update to SLES-compatible dist tag macros
- Define RPM macros in global context in spec file

* Thu Feb  5 2009 Paul Howarth <paul@city-fan.org> - 1.3.2-1.0.cf
- Update to 1.3.2

* Mon Jan 26 2009 Paul Howarth <paul@city-fan.org> - 1.3.2-0.3.1.CF.rc4
- Update to 1.3.2rc4
- 2-arg open() patch no longer needed

* Fri Jan 23 2009 Paul Howarth <paul@city-fan.org> - 1.3.2-0.3.0.CF.rc3
- Rebuild for new MySQL in Rawhide

* Thu Jan  8 2009 Paul Howarth <paul@city-fan.org> - 1.3.2-0.2.0.CF.rc3
- Update to 1.3.2rc3 (fixes security issue #464127)
- Exclude new pkgconfig file, as we already exclude header files
- Similarly, exclude new prxs utility
- Remove no longer needed find-umode_t patch
- Reduce MaxInstances to 20 in line with default Fedora configuration
- Update configuration file with config for mod_ban
- Use Fedora PAM configuration and hack it for old releases instead of
  using an old configuration and hacking it to bring it up to date
- README.mod_wrap no longer included in upstream distribution
- Prevent stripping of binaries so we can get useful debuginfo

* Tue Aug 12 2008 Paul Howarth <paul@city-fan.org> - 1.3.1-6.0.CF
- Pass --enable-shadow to also have it available, not just PAM (#378981)
- Add mod_ban support (#457289, Philip Prindeville)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Simplify tcp_wrappers buildreq back again using file-based dependency
- Update configh.patch to apply without fuzz

* Thu Dec 20 2007 Paul Howarth <paul@city-fan.org> - 1.3.1-3.0.CF
- Rebuild

* Tue Dec 11 2007 Paul Howarth <paul@city-fan.org> - 1.3.1-2.2.CF
- Fix INSTALL_STRIP in %%install rather than %%prep

* Mon Dec 10 2007 Paul Howarth <paul@city-fan.org> - 1.3.1-2.1.CF
- Temporarily use conditional tcp_wrappers buildreqs to work around problem
  with mock/yum not finding filename buildreqs
- Rebuild for new openssl/openldap in Rawhide
- Add patch to force inclusion of <signal.h> (if available)  when checking for
  umode_t

* Tue Nov  6 2007 Paul Howarth <paul@city-fan.org> - 1.3.1-2.0.CF
- Include openldap schema file for quota support (Fran Taylor, #291891)
- Include FDS compatible LDIF file for quota support (converted)
- Prefix source welcome.msg for consistency

* Mon Oct  8 2007 Paul Howarth <paul@city-fan.org> - 1.3.1-1.0.CF
- Update to 1.3.1
- Drop patch for mod_sql_mysql.c as typo now fixed upstream
- Drop Fedora patch for open(), now applied upstream

* Fri Aug 24 2007 Paul Howarth <paul@city-fan.org> - 1.3.1-0.2.1.CF.rc3
- Update to 1.3.1rc3 (the only version to fix CVE-2007-2165 (#237533))
- Remove old patches; none are useful anymore apart from the CAP_AUDIT_WRITE
  patch
- Patch sstrncpy.c for config.h not being included (reported upstream #2964)
- Patch mod_sql_mysql.c to fix a typo (already fixed in CVS upstream)
- Exclude new headers, at least until some first 3rd party module shows up
- Clean up old leftover CVS strings from our extra files
- LSB-ize the initscript (#247033)
- Explicitly pass --enable-openssl since configure tells us "(default=no)"
- Include patches to fix open calls with recent glibc versions

* Sun Aug 12 2007 Matthias Saou <http://freshrpms.net/> - 1.3.0a-8.1.CF
- Fix logrotate entry to silence error when proftpd isn't running (#246392)

* Thu Aug  9 2007 Paul Howarth <paul@city-fan.org> - 1.3.0a-7.1.CF
- Include patch to fix "open" calls with recent glibc
- Clarify license as GNU General Public License version 2 or later (GPLv2+)
- Silence rpmlint's complaint about mixed used of tabs and spaces

* Tue Jun 26 2007 Paul Howarth <paul@city-fan.org> - 1.3.0a-5.2.CF
- Add patch to enable mod_cap to retain CAP_AUDIT_WRITE

* Mon Jun 25 2007 Paul Howarth <paul@city-fan.org> - 1.3.0a-5.1.CF
- BuildRequire /usr/include/tcpd.h as a distribution-agnostic way of specifying
  tcp_wrappers or tcp_wrappers-devel as needed
- Use sed rather than perl for scripted edits
- Add audit modules in proftpd.pam where appropriate

* Fri Jun  8 2007 Paul Howarth <paul@city-fan.org> - 1.3.0a-4.CF
- Rebuild to work around dependency clashes with Fedora

* Tue Feb  6 2007 Paul Howarth <paul@city-fan.org> - 1.3.0a-3.CF
- Patch to fix local user buffer overflow in controls request handling, rhbz
  bug #219938, proftpd bug #2867
- Fix dist tag for fc7 onwards

* Thu Dec  7 2006 Paul Howarth <paul@city-fan.org> - 1.3.0a-2.CF
- Fedora 7 onwards buildreq tcp_wrappers-devel

* Mon Nov 27 2006 Paul Howarth <paul@city-fan.org> - 1.3.0a-1.CF
- Update to 1.3.0a (addresses CVE-2006-5815: remote code execution in ProFTPD)

* Fri Nov 17 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-9.CF
- Update cmdbufsize patch so as not to segfault with default config

* Fri Nov 17 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-8.CF
- Let's remember to sign the packages this time

* Thu Nov 16 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-7.CF
- Include cmdbufsize patch (#214820, CVE-2006-6171)
- Include mod_tls patch (also #214820, CVE-2006-6170)
- Don't use evil unversioned obsoletes

* Mon Sep 11 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-6.CF
- Fix dist tag for development builds

* Tue Aug 15 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-5.CF
- Fix build in mock:
  don't worry if gpg verify fails (e.g. due to missing key)
  add buildreqs tcp_wrappers and zlib-devel

* Tue Jul  4 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-4.CF
- Disable sendfile by default since it breaks displaying the download speed in
  ftptop and ftpwho (#196913)
- Add commented section about DSO loading to the default proftpd.conf

* Mon Jun  5 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-3
- Apply patch to mod_ctrls.c to fix ProFTPD bug #2792
  (http://bugs.proftpd.org/show_bug.cgi?id=2792)

* Mon May  1 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-2
- Silence harmless IPv6 failure message at startup when IPv6 isn't available
- Remove all conditional build options - build everything
- Build most modules as DSOs in separate packages
- Remove explicit conflicts on wu-ftpd, anonftp, and vsftpd to let people
  install more than one ftp daemon (#189023)
- Enable ctrls (controls via ftpdctl) and facl (POSIX ACLs)
- Remove no longer needed PostgreSQL detection workaround
- Use "%%{__make} DESTDIR=..." instead of "%%makeinstall"
- Ghost the control socket file too
- Enumerate binaries and manpages in %%files list

* Fri Apr 21 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-1
- Update to 1.3.0 full release
- Avoid perl deps from docfiles
- Use new pam syntax where appropriate

* Mon Mar 20 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-0.rc5.1
- Update to RC5

* Thu Mar  2 2006 Paul Howarth <paul@city-fan.org> - 1.3.0-0.rc4.1
- Update to RC4
- Check GPG signature of tarball in %%prep
- Fix build on CentOS
- Recoded spec file as UTF-8
- Fix permissions of %%{_sysconfdir}/xinetd.d/xproftpd
- Use (noreplace) for all %%config files

* Tue Nov  1 2005 Paul Howarth <paul@city-fan.org> - 1.3.0-0.rc3.1
- Update to RC3
- Simplify distribution-detection code, not using rpmdb queries

* Fri Oct  7 2005 Paul Howarth <paul@city-fan.org> - 1.3.0-0.rc2.2
- Major rewrite of spec file, bringing it closer to the Fedora Extras package
- inetd subpackage removed

* Tue Jul 26 2005 Paul Howarth <paul@city-fan.org> - 1.3.0-0.rc2.1
- 1.3.0rc2 release
- Don't include /home/ftp
- Use %%ghost to remove /var/run/proftpd/proftpd.{delay,scoreboard}
  rather than a preun script

* Tue Apr 12 2005 Paul Howarth <paul@city-fan.org>
- 1.3.0rc1 release

* Sun Sep 12 2004 Paul Howarth <paul@city-fan.org>
- 1.2.10 release

* Thu Aug 26 2004 Paul Howarth <paul@city-fan.org>
- Tweak to enable mysql module to build properly
- Make sure mod_sql is included if an SQL backend is selected

* Wed Jul 14 2004 Paul Howarth <paul@city-fan.org>
- 1.2.10rc3 release.
- Moved 'configure' from %%prep to %%build
- Changed default gid from nogroup to nobody

* Mon Jun 21 2004 Paul Howarth <paul@city-fan.org>
- 1.2.10rc1 release
- Import changes from official spec file

* Sat Nov 01 2003 Paul Howarth <paul@city-fan.org>
- 1.2.9 release

* Fri Oct 17 2003 Paul Howarth <paul@city-fan.org>
- Move xinetd config file to -inetd subpackage
- 1.2.9rc3 release

* Thu Oct 09 2003 Paul Howarth <paul@city-fan.org>
- Include detached signature for source in SRPM
- 1.2.9rc2p1 release

* Tue Sep 23 2003 Daniel Roesen <dr@proftpd.org>
- Added "--with ipv6" to enable IPv6 support while building the RPM

* Sun May 25 2003 John Morrissey <jwm@horde.net>
- Permit selection of additional contrib modules when building the RPM
  Submitted by: Ivan F. Martinez <ivanfm@users.sourceforge.net>

* Sat Nov  2 2002 John Morrissey <jwm@horde.net>
- Don't let dangling contrib/README.* symlinks get into the built RPM
- logrotate for xferlog

* Wed Aug 14 2002 John Morrissey <jwm@horde.net>
- Added removal of build leftover directory in %%clean
  Submitted by: Christian Pelealu <kurisu@mweb.co.id>

* Wed Jul  3 2002 John Morrissey <jwm@horde.net> - 1.2.6rc1-1
- 1.2.6rc1 release

* Sun Jun  9 2002 John Morrissey <jwm@horde.net> - 1.2.5-1
- 1.2.5 release

* Fri May 10 2002 TJ Saunders <tj@castaglia.org>
- Added use of %%defattr to allow build of RPMs by non-root users
  For details see http://bugs.proftpd.org/show_bug.cgi?id=1580

* Mon Mar 05 2001 Daniel Roesen <droesen@entire-systems.com> - 1.2.1-2
- PAM >= 0.72 is now a requirement; versions before are broken and
  Red Hat provides a PAM update for all RH 6.x releases
  See: http://www.redhat.com/support/errata/RHSA-2000-120.html
  Thanks to O.Elliyasa <osman@Cable.EU.org> for the suggestion
  For details see http://bugs.proftpd.org/show_bug.cgi?id=1048

* Thu Mar 01 2001 Daniel Roesen <droesen@entire-systems.com> - 1.2.1-1
- Update to 1.2.1

* Tue Feb 27 2001 Daniel Roesen <droesen@entire-systems.com> - 1.2.0-3
- Added "Obsoletes: proftpd-core" to make migration to new RPMs easier
  Thanks to Sébastien Prud'homme <prudhomme@easy-flying.com> for the hint

* Mon Feb 26 2001 Daniel Roesen <droesen@entire-systems.com> - 1.2.0-2
- Cleaned up .spec formatting (cosmetics)
- Fixed CFLAGS (fixes /etc/shadow support)
- Included COPYING, CREDITS, ChangeLog and NEWS
- Renamed main package from "proftpd-core" to just "proftpd"

* Wed Feb 14 2001 Daniel Roesen <droesen@entire-systems.com>
- Moved Changelog to bottom
- Fixed %%pre script /etc/ftpusers generator
- Removed /ftp/ftpusers from package management; deinstalling ProFTPD
  should _not_ result in removal of this file

* Thu Oct 07 1999 O.Elliyasa <osman@Cable.EU.org>
- Multi package creation
  Created core, standalone, inetd (&doc) package creations
  Added startup script for init.d
  Need to make the "standalone & inetd" packages being created as "noarch"
- Added URL
- Added prefix to make the package relocatable

* Wed Sep 08 1999 O.Elliyasa <osman@Cable.EU.org>
- Corrected inetd.conf line addition/change logic

* Sat Jul 24 1999 MacGyver <macgyver@tos.net>
- Initial import of spec

